import { Pipe, PipeTransform } from '@angular/core';

/**
 * Generated class for the JsonDatePipe pipe.
 *
 * See https://angular.io/api/core/Pipe for more info on Angular Pipes.
 */
@Pipe({
  name: 'jsonDate',
})
export class JsonDatePipe implements PipeTransform {
  /**
   * Takes a value and makes it lowercase.
   */
  transform(value: string): any {
    if(value)
    return new Date(parseInt(value.substr(6)));
    else
    return value;
  }
}
